# Uses of Class
org.eclipse.jface.contentassist.SubjectControlContentAssistant

Packages that use SubjectControlContentAssistant
Package
Description
org.eclipse.ui.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.

## Uses of SubjectControlContentAssistant in org.eclipse.ui.contentassist

Methods in org.eclipse.ui.contentassist with parameters of type SubjectControlContentAssistant
Modifier and Type
Method
Description
`static ContentAssistHandler`
ContentAssistHandler.`createHandlerForCombo(Combo combo, SubjectControlContentAssistant contentAssistant)`
Deprecated.
Creates a new `ContentAssistHandler` for the given `Combo`.
`static ContentAssistHandler`
ContentAssistHandler.`createHandlerForText(Text text, SubjectControlContentAssistant contentAssistant)`
Deprecated.
Creates a new `ContentAssistHandler` for the given `Text`.